#include "odesilat.c"


void Tkodeslani(void);

/*
MER povelm[]={
//  {"nazev prikazu",nazev_vykonavajici_funkce,napoveda z PROGMEM},	
	{"",prazdna,nic},
//	{"AD",TAD,nic},
	{"pwm",TVpwm,nic},
	{"der",TVder,nic},
	{"itg",TVitg,nic},
	{"prp",TVprp,nic},
	{"kodeslani",Tkodeslani,nic},
	{"AD0",TAD0,nic},
	{"y",Ty,nic},
	{"w",Tw,nic},
	{"e",Te,nic},
	{"v",Tv,nic},
//	{"y2",Ty2,nic},
	{"dt",Tdt,nic},
	{"K1",TK1,nic},
	{"K2",TK2,nic},
//	{"r",Tr,nic},
	{"VI",TVI,nic},
	{"maxVI",TmaxVI,nic},
	{"maxvykon",Tmaxvykon,nic},
	{"akce",Takce,nic},
//	{"pReg",TprescRegulace,nic},
//	{"pOdes",TprescOdesilat,nic},
//	{"cpu",Tcpu,nic},
//	{"gv",Tgv,nic},
//	{"gp",Tgp,nic},
//	{"kfiltr",Tkfiltrovani,nic},
};
#define PRIKAZUM (sizeof(povelm)/sizeof(MER))
*/
//__________________________________________________________________


//const char hlask[] PROGMEM = "welcome";
TEXT_P(PMpwm,"pwm");
TEXT_P(PMder,"der");
TEXT_P(PMitg,"itg");
TEXT_P(PMprp,"prp");
TEXT_P(PMkodeslani,"kodeslani");
TEXT_P(PMAD0,"AD0");
TEXT_P(PMAD1,"AD1");
TEXT_P(PMy,"y");
TEXT_P(PMw,"w");
TEXT_P(PMe,"e");
TEXT_P(PMv,"v");
TEXT_P(PMdt,"dt");
TEXT_P(PMK1,"K1");
TEXT_P(PMK2,"K2");
TEXT_P(PMVI,"VI");
TEXT_P(PMmaxVI,"maxVI");
TEXT_P(PMmaxvykon,"maxvykon");
TEXT_P(PMakce,"akce");
TEXT_P(PMcpu,"cpu");
TEXT_P(PMkfiltr,"kfiltr");
TEXT_P(PMenkoder,"enkoder");
TEXT_P(PMtoc,"toc");

//MERP povelmP={hlask,prazdna,nic};
/*
VYTVOR_ZPRAVU("",prazdna,"");
VYTVOR_ZPRAVU("",prazdna,"");
*/
MERP povelm[] PROGMEM={
//  {"nazev prikazu",nazev_vykonavajici_funkce,napoveda z PROGMEM},	
	{nic,prazdna,nic},
//	{"AD",TAD,nic},
	{PMtoc,Ttoc,nic},
	{PMpwm,TVpwm,nic},
	{PMder,TVder,nic},
	{PMitg,TVitg,nic},
	{PMprp,TVprp,nic},
	{PMkodeslani,Tkodeslani,nic},
	{PMAD0,TAD0,nic},
	{PMAD1,TAD1,nic},
	{PMy,Ty,nic},
	{PMw,Tw,nic},
	{PMe,Te,nic},
	{PMv,Tv,nic},
//	{"y2",Ty2,nic},
	{PMdt,Tdt,nic},
	{PMK1,TK1,nic},
	{PMK2,TK2,nic},
//	{"r",Tr,nic},
	{PMVI,TVI,nic},
	{PMmaxVI,TmaxVI,nic},
	{PMmaxvykon,Tmaxvykon,nic},
	{PMakce,Takce,nic},
//	{"pReg",TprescRegulace,nic},
//	{"pOdes",TprescOdesilat,nic},
	{PMcpu,Tcpu,nic},
//	{"gv",Tgv,nic},
//	{"gp",Tgp,nic},
	{PMkfiltr,Tkfiltrovani,nic},
	{PMenkoder,Tenkoder,nic},

};
#define PRIKAZUM (sizeof(povelm)/sizeof(MERP))

uint8_t kodeslani[PRIKAZUM];
void Tkodeslani(void){TRANSMIT(kodeslani)};


